/*
 * MonaLisaClient.java
 *
 * Created on October 6, 2003, 4:41 PM
 */

/**
 *
 * @author  stratos
 */

import lia.ws.*;
import ws.lia.*;
import org.apache.axis.AxisFault;

public class MonaLisaClient {
    
    /** Creates a new instance of MonaLisaClient */
    public MonaLisaClient() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            MLWebServiceService service = new ws.lia.MLWebServiceServiceLocator(); 
            MLWebService port = service.getMLWebService();
//            Result[] result=port.getValues("bnl-itd", "Master", "localhost", "*", -300000, 0);
            Result[] result=port.getValues("Star", "CLUSTERS", "*", "Average5", -30000, 0);            
            System.out.println("Results: "+result.length );
            for (int i=0; i<result.length; i++) {
                System.out.println(" Cluster Name: "+result[i].getClusterName());
                System.out.println(" Farm Name: "+result[i].getFarmName());
                System.out.println(" Node Name: "+result[i].getNodeName());
                System.out.println(" Time: "+result[i].getTime());
                for (int j=0; j<result[i].getParam_name().length; j++) {
                   System.out.println ("\t\t "+result[i].getParam_name()[j]+" : "+result[i].getParam()[j]);
                }
            }
        } catch (Exception e) {
        }
    }
    
}
